*{
    box-sizing: border-box;
    margin: 0;
    padding: 0;
    font-family: 'Roboto', sans-serif;
}

    html {
        overflow-x: hidden;
    }
    
    /* Header */
    header {
        display: flex;

        justify-content: center;
        align-items: center;

        height: 125px;
        background-color: black;
        padding: 0 5%;

        position: sticky;
        top: 0;
        z-index: 5;
    }
    
    header > div {
        display: flex;
        justify-content: space-between;
        align-items: center;
        width: 1200px;
        position: relative;
        z-index: 4;
    }
    
    header .topnav section {
        display: flex;
        justify-content: space-evenly;
        align-items: center;
        gap: 40px;
    }
    
    header .topnav a img {
        height: 80px;
    }
    
    header .topnav a, header .topnav i {
        color: white;
        text-decoration: none;
        font-weight: bold;
        font-size: 1.5rem; 
        cursor: pointer;
        transition: 0.1s;
    }
    
    header .topnav a:hover, header .topnav i:hover {
        color: #1A8758;
    }
    
    #nav {
        display: flex;
        justify-content: center;
        align-items: center;

        position: fixed;
        height: 50vh;
        width: 100vw;
        background-color: black;
        top: -100vh;
        transition: 0.3s;
        z-index: 1;
    }

    #nav ul {
        display: flex;
        flex-direction: column;

        align-items: flex-end;

        width: 1200px;
        height: 100%;

        gap: 7vh;

        padding: 5% 5%;
    }

    #nav ul li {
        display: flex;
        justify-content: flex-end;

        width: 100%;
    }

    #nav ul li a {
        list-style-type: none;
        color: white;

        font-weight: bold;
        font-size: 1.5rem;
        text-decoration: none;
    }

    #nav ul li a:hover {
        color: #1A8758;
    }
    
    /*Hero*/
    .hero {
        display: flex;
        justify-content: center;
        text-align: center;
        width: 100vw;
        height: 100vh;
        background-image: url(img/Aphaca.jpg);
        background-position: center;
        background-repeat: no-repeat;
        color: white;
    }
    
    .hero div p {
        margin-top: 10px;
    }
    
    .hero div h2 {
        display: flex;
        justify-content: center;
        font-weight: bold;
        font-size: 25px;
        text-shadow: 1px 1px 3px grey;
    }
    
    .hero div h1 {
        text-shadow: 1px 1px 3px grey;
        font-size: 100px;
        margin-top: 10px;
    }

    /* Tekst skygge for bedre kontrast?
    .hero div p,
    .hero div h1,
    .hero div h2{
        text-shadow: 1px 1px 3px rgb(100, 100, 100)
    }
        */
    
    .btn1 {
        display: flex;
        justify-content: center;
        background-color: #1A8758;
        padding: 25px 30px 25px 30px;
        align-self: center;
        border-radius: 5px;
        font-size: 30px;
        color: white;
        text-decoration: none;
        font-weight: bold;
        margin-top: 400px;
        box-shadow: 1px 1px 3px rgb(152, 152, 152)
    }   
    
    .btn1:hover {
        color: black;
    }
    
    .fa-circle {
        color: #F7941C;
    }
    
    
    /* events 1 */
    .events1 {
        display: grid inline;
        grid-auto-flow: column;
        width: 100vw;
        overflow-x: scroll;
        gap: 15px;
        padding: 50px 20px;
        scrollbar-width: none;
        justify-content: space-around;
    }
    
    .sevent {
        display: flex;
        flex-direction: column;
        width: 450px;
        height: 500px;
        padding: 10px;
        margin-left: 20px;
        box-shadow: 1px 1px 8px black;
    }
    
    .sevent img{
        height: 200px;
        padding: 5px;
        object-fit: cover;
    }
    
    .sevent h2,
    .sevent p{
        text-align: center;
        padding: 15px;
    }
    
    .btn2 {
        background-color: #1A8758;
        text-decoration: none;
        color: white;
        font-size: 17px;
        border-radius: 5px;
        text-align: center;
        padding: 20px;
        width: 160px;
        grid-area: billet;
        font-weight: bold;
        align-self: center;
    }
    
    .btn2:hover {
        color: black;
    }
    
    /* events 2 */
    .events2 {
        display: flex;
        flex-direction: column;
        max-width: 100vw;
        padding: 30px 50px;
        align-items: center;
    }

    .events2 h1 {
        padding: 20px;
        font-size: 36px;
    }

    .events2 .btn3 {
        display: flex;
        justify-content: center;
        align-items: center;
        height: 60px;
        padding: 25px;
        background-color: #1A8758;
        color: white;
        text-decoration: none;
        font-size: 17px;
        font-weight: bold;
        border-radius: 5px;
        box-shadow: 1px 1px 8px black;
    }
    
    .levent {
        display: grid;
        grid-template-columns: 1fr 5fr 1fr;
        grid-template-rows: 1fr 3fr;
        grid-template-areas: 
        "pic h2 billet"
        "pic p billet";
        max-width: 1200px;
        min-width: 800px;
        height: 150px;
        background-color: black;
        color: white;
        margin-bottom: 30px;
        column-gap: 20px;
        box-shadow: 1px 1px 8px black;
    }
    
    .levent img{
        height: 150px;
        padding: 5px;
        grid-area: pic;
    }
    
    .levent h2{
        grid-area: h2;
        align-self: end;
    }
    
    .levent p{
        grid-area: p;
    }
    
    .btn3 {
        text-align: center;
        width: 160px;
        grid-area: billet;
        font-weight: bold;
        margin: 60px;
        align-self: end;
    }
    
    .btn3:hover {
        color: black;
    }

    .btn4{
        display: flex;
        justify-content: center;
        align-items: center;
        height: 60px;
        padding: 25px;
        background-color: #1A8758;
        color: white;
        text-decoration: none;
        font-size: 17px;
        font-weight: bold;
        border-radius: 5px;
        box-shadow: 1px 1px 8px black;
        margin-bottom: 50px;
    }

    .btn4:hover {
        color: black;
    }
    
    /* Frivillig */
    .frivillig {
        display: flex;
        justify-content: space-evenly;
        align-items: center;

        flex-direction: column;

        width: 100vw;

        gap: 35px;
        margin-bottom: 35px;
    }

    .frivillig a {
        position: relative;
        display: flex;
        justify-content: center;
        align-items: center;
    }

    .frivillig a img {
        display: flex;
        filter: brightness(40%);
        max-width: 100%;
        object-fit: cover;
    }

    .frivillig a h1 {
        position: absolute;
        color: white;
        font-size: 3.5rem;
    }

    .frivillig > a {
        display: flex;
        justify-content: center;
        align-items: center;
        
        height: 60px;
        
        padding: 25px;

        background-color: #1A8758;
        color: white;
        text-decoration: none;
        font-size: 17px;
        font-weight: bold;

        border-radius: 5px;

        box-shadow: 1px 1px 8px black;
    }

    .frivillig a:hover {
        color: black;
    }
    
    /* Footer */
    footer {
        font-size: 0.75rem;
    }
    
    a b,
    p b{
        font-size: 0.875rem;
    }
    
    .footercontainer {
        display: grid;
        grid-template-columns: 200px 265px 220px;
        grid-template-rows: auto;
        width: 100%;
        background-color: black;
        justify-content: center;
        grid-template-areas:
        "kontakt billet some"
        "phone cookies news";
        column-gap: 25px;
        row-gap: 40px;
        padding: 30px;
        line-height: 1.5;
    }
    
    .footercontainer ul li a,
    .footercontainer ul li a b{
        text-decoration: none;
        color: white;
    }
    
    footer ul {
        list-style: none;
        padding: 0;
        text-decoration: underline;
    }
    
    .followus {
        display: inline-block;
        width: auto;
        justify-content: space-evenly;
        font-size: 1.5em;
        grid-area: some;
    }
    
    nav i {
        padding-right: 0.15em;
        color: white;
        font-size: 1.75rem;
    }
    
    .footercontainer p{
        color: white;
    }
    
    .phone{
        grid-area: phone;
    }
    
    .billet{
        grid-area: billet;
        line-height: 1;
    }
    
    .kontakt{
        grid-area: kontakt;
    }
    
    .cookies{
        grid-area: cookies;
    }
    
    form{
        color: white;
    }
    
    input{
        border: none;
        padding: 10px;
        font-size: 14px;
        margin: 5px 0;
        width: 90%;
        min-width: 200px;
    }
    
    nav a i:hover,
    ul li a:hover{
        color: #1A8758;
    }
    
    .btn{
        display: flex;
        justify-content: center;
        width: 140px;
        border: 2px solid white;
        background-color: black;
        color: white;
        padding: 10px 15px;
        font-size: 1rem;
        margin-top: 15px;
        text-transform: uppercase;
        text-decoration: none;
    }
    
    .btn:hover{
        background-color: white;
        color: black;
    }


    
    @media screen and (max-width: 767px) {
    
        header section a:first-of-type,
        header section a:nth-of-type(2) {
            display: none;
        }

        #nav  {
            height: 100vh;
        }

        .events1{
            padding: 30px 5px;
            justify-content: flex-start;
        }

        .sevent {
            display: flex;
            flex-direction: column;
            width: 355px;
            height: 450px;
            padding: 10px;
            box-shadow: 1px 1px 8px black;
            margin: 5px;
        }

        .sevent p{
            font-size: 14px;
        }

        .btn2{
            margin-top: 60px;
        }

        .events2 h1{
            font-size: 24px;
            width: 290px;
        }

        .levent {
            display: grid;
            grid-template-columns: 1fr 2fr;
            grid-template-rows: 1fr 2fr 2fr;
            grid-template-areas: 
            "pic h2"
            "pic p"
            "pic billet";
            max-width: 600px;
            min-width: 355px;
            height: 150px;
            background-color: black;
            color: white;
            margin-bottom: 30px;
            padding-right: 20px;
            column-gap: 20px;
            box-shadow: 1px 1px 8px black;
        }

        .btn3{
            margin: 10px 0;
            width: 100px;
            justify-self: end;
        }

        .events2 .btn3{
            font-size: 12px;
            height: 30px;
            padding: 0px;
        }

        .levent h2{
            font-size: 18px;
            align-self: flex-start;
            padding-top: 10px;
        }

        .levent p{
            font-size: 14px;
        }

        .levent img{
            height: 150px;
            width: 150px;
            object-fit: cover;
        }
    
        /*Hero billede*/
        .hero {
            background-image: url(img/Aphaca.jpg);   
            background-position: center;
            width: 100%;
            background-size: cover;
            background-repeat: no-repeat;
            object-position: center;
            height: 50vh;
    
        }
    
        .hero div h2 {
            font-size: 20px;
        }
    
        .hero div h1 {
            font-size: 60px;
        }
    
        .btn1 {
            display: flex;
            justify-content: center;
            font-size: 20px;
            padding: 15px 25px 15px 25px;
            margin-left: 20px;
            margin-right: 20px;
            margin-top: 140px;
        }
    
        .btn1:hover {
            color: black;
        }

        /* Frivillig */

        .frivillig div img {
            height: 40vh;
            width: 100vw;
        }

        .frivillig div h1 {
            font-size: 2.5rem;
        }


        /* Footer */
    
        .footercontainer{
            grid-template-columns: auto;
            grid-template-rows: auto;
            width: 100%;
            grid-template-areas: 
            "kontakt"
            "phone"
             "billet"
             "cookies"
             "some"
             "news" ;
             text-align: center;
        }
    
        .btn{
            font-size: 14px;
        }
    
        form{
            display: flex;
            flex-direction: column;
            align-items: center;
        }
    }


@media (prefers-color-scheme: dark) {
    body{
        background-color: #1a1a1a;
    }

    .sevent {
        background-color: black;
        color: white;
    }

    .events2 h1 {
        color: white;
    }
}

@media (prefers-color-scheme: light){

    body{
        background-color: #FDFBF4;
    }

    .sevent {
        background-color: white;
        color: black;
    }

    .events2 h1 {
        color: black;
    }

    .levent,
    .sevent{
        box-shadow: 1px 1px 5px rgb(152, 152, 152);
    }
}